GCLOUD_DEPLOYMENT-MANAGER_DEPLOYMENTS_DELETE(1)

NAME

gcloud deployment-manager deployments delete - delete a deployment

SYNOPSIS

gcloud deployment-manager deployments delete DEPLOYMENT_NAME [DEPLOYMENT_NAME ...] [--async] [--delete-policy=DELETE_POLICY; default="DELETE"] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command deletes a deployment and deletes all associated resources.

POSITIONAL ARGUMENTS

    DEPLOYMENT_NAME [DEPLOYMENT_NAME ...]
        Deployment name.

FLAGS

    --async
        Return immediately and print information about the Operation in progress rather than waiting for the Operation to complete. (default=False)

    --delete-policy=DELETE_POLICY; default="DELETE"
        Delete policy for resources that will change as part of an update or delete. DELETE deletes the resource while ABANDON just removes the resource reference from the deployment. DELETE_POLICY must be one of: ABANDON, DELETE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To delete a deployment, run:
    $ gcloud deployment-manager deployments delete my-deployment
To issue a delete command without waiting for the operation to complete, run:
    $ gcloud deployment-manager deployments delete my-deployment --async
To delete several deployments, run:
    $ gcloud deployment-manager deployments delete my-deployment-one \
        my-deployment-two my-deployment-three
To disable the confirmation prompt on delete, run:
    $ gcloud deployment-manager deployments delete my-deployment -q